Forums Archived

The forums are being archived. See this topic for more information.

RubyGame 2.6.3 and Ruby 1.9.2 Installation Problem

Discussion about anything related to Rubygame

RubyGame 2.6.3 and Ruby 1.9.2 Installation Problem

Postby TheBlizzFreak » Mon Feb 07, 2011 10:33 am

Hello im Fairly Advised in The Ruby Language But Still Kinda New To It iv Managed To Create A Graphical User InterFace using shoes code heres my code with the require rubygame and other stuff


Code: Select all
require 'rubygems'
require 'RubyGame'


class Game
   def initialize
   end
   
   def run!
   end
   
   def update
   end
   
   def draw
   end
   
end

g = Game.new
g.run!
Shoes.app :width => 640, :height => 480 do
  flow do

    button "Open"
   button "Save"
    button "Play"
    button "Camera"
   button "View"
    button "Tools"
   button "Option"
   button "About"
   stack
    button "+"
    button "-"
    button "Front"
    button "Back"
    button "Left"
    button "Right"

i am also using rubygame to build the applicaton with but i cant seem to figure out why i cant get it too load up rubygame inside the shoes application it comes up with an error
no such file to load --RubyGame in shoes 2 iv tryed it in Shoes 3 but its worser any ideas?

iv installed sdl and rubygame properly as far as im aware i did gem install rubygame.gem inside command prompt for ruby iv put the sdl in the system 32 folder but i still cant figure out why its not loading rubygame??? help me plz :shock:
Last edited by jacius on Mon Feb 07, 2011 7:56 pm, edited 1 time in total.
Reason: Wrapped code in [code] block
TheBlizzFreak
 
Posts: 2
Joined: Mon Feb 07, 2011 10:26 am

Re: RubyGame 2.6.3 and Ruby 1.9.2 Installation Problem

Postby jacius » Mon Feb 07, 2011 8:37 pm

Hi, and welcome. :)

The correct code to load Rubygame is require 'rubygame' ("rubygame" is lowercase here, it's not "RubyGame").

But, you will soon run into problems if you are trying to use both Shoes and Rubygame in the same application. They are separate libraries, and I don't think it's possible to use them together in any useful way.
User avatar
jacius
Site Admin
 
Posts: 131
Joined: Fri Feb 06, 2009 11:13 pm

Re: RubyGame 2.6.3 and Ruby 1.9.2 Installation Problem

Postby TheBlizzFreak » Mon Feb 07, 2011 10:37 pm

Any Ideas How I Can Get Something Similar To Shoes Thats as simplistic thats works with rubygame ? My goals was trying to create a 2d game engine which i will eventually turn into a 3d engine but i need to find out what libarys are gunna allow me to do it the easiest and most productive way. DONT WORRY FOUND OUT WHAT I NEED GUNNA USE GOSU.
TheBlizzFreak
 
Posts: 2
Joined: Mon Feb 07, 2011 10:26 am


Return to Rubygame (General)

Who is online

Users browsing this forum: No registered users and 1 guest

cron